Page MenuHomePhabricator

Add a "selection history" inspector
Closed, ResolvedPublic

Description

Idea: An inspector showing all selections (chronological sorted) that are made in the current application session so far (no need to persist it to next application start). The showed nodes are filtered by the current preconditions. So it basically shows all selections (since the application was started) that fullfill the preconditions).

Implementation idea (so far):
The history is can be modified (adding new nodes) and queried (requesting a copy of the current history) by static member functions of the inspector. It is put in static functions that also other programm parts can query (e.g. other versions of history inspectors) or modify the selection history.
Internally it is a guarded static deque that stores the node weak pointers and the time of selection (equals time of adding to history). If a history is requested the pairs of selection time and nodes wills be transfered and passed const as a result.

Todos

  • Implement inspector
  • Implement provider
  • Extend NodeSelectionDialog to add selections to the history of not canceled.

Revisions and Commits

rMITK MITK

Event Timeline

floca triaged this task as Normal priority.Apr 16 2018, 2:40 PM
floca created this task.
floca updated the task description. (Show Details)Apr 16 2018, 2:43 PM
floca claimed this task.Jan 14 2020, 9:05 AM
floca added a revision: Restricted Differential Revision.Jan 17 2020, 5:44 PM
floca closed this task as Resolved by committing rMITK48cfba96c089: Fixed T24660.Tue, Jan 21, 2:49 PM